Support » Plugin: WP eCommerce » Amazon Pay Gateway

Viewing 9 replies - 1 through 9 (of 9 total)
  • I’m seeing a support response from a year ago that AP’s included in core, but I’m running Version 3.14.0 and it’s not showing up… Do I need to upgrade my Gold Cart? Running Version 3.2.1

    It’s in there:
    wpec.3.14.0/wpsc-components/merchant-core-v3/gateways/amazon-payments.php
    but there’s a comment in the code that says:

    “Load gateway only if curl is enabled (SDK requirement), PHP 5.3+ (same) and
    TEv2.”

    Thnx Whitelamp. So should I remove that comment or is there something else I need to do?

    Oh, I see that now. So do you think my PHP version is the issue?

    Well – you need to make sure you’re on PHP 5.3+ and that curl is enabled!

    https://linuxconfig.org/how-to-enable-and-disable-php-curl-module-with-apache-on-ubuntu-linux

    I think TEv2 means Theme engine V2 – which should be there in 3.14.0.

    I suspect it’s curl that is the missing link.

    Looks like I’m good with PHP version, any idea what I’d need to do to enable the curl?

    BTW, php version is 5.6 and it does have curl enabled… so from server side all’s good.

    Then it’s time to start doing some debugging. See if it is failing on
    one of these conditions for a start:
    return version_compare( phpversion(), ‘5.3’, ‘>=’ )
    && function_exists( ‘curl_init’ )
    && function_exists( ‘_wpsc_get_current_controller’ );

    You can check by adding error_log() if you have access to the logs or alternatively just echo and it will appear in the page. If it’s a live site then echo out your debugging info as HTML comments.

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Amazon Pay Gateway’ is closed to new replies.